package com.tanpu.community.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.tanpu.community.dao.entity.community.BlackListEntity;
import com.tanpu.community.dao.mapper.community.BlackListMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class BlackListService {
    @Resource
    private BlackListMapper blackListMapper;

    public void insertBlackList(BlackListEntity blackListEntity){
        blackListMapper.insert(blackListEntity);
    }

    public void deleteBlackList(String  blocker,String blockId,String blockType){
        blackListMapper.delete(new LambdaQueryWrapper<BlackListEntity>().eq(BlackListEntity::getBlocker,blocker).
                eq(BlackListEntity::getBlockedId,blockId).eq(BlackListEntity::getBlockedType,blockType));
        return;
    }
}
